Index: /utils/CI/sette/sette.sh
===================================================================
--- /utils/CI/sette/sette.sh	(revision 10572)
+++ /utils/CI/sette/sette.sh	(revision 10573)
@@ -116,5 +116,5 @@
 #
 #
-if [ ${USING_MPMD} == "yes" ] && [ ${USING_XIOS} == "no"]
+if [ ${USING_MPMD} == "yes" ] && [ ${USING_XIOS} == "no" ]
  then
    echo "Incompatible choices. MPMD mode requires the XIOS server"
@@ -169,5 +169,8 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -191,5 +194,8 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
@@ -229,5 +235,8 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -253,5 +262,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -288,5 +300,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_use_calving .true.
     set_namelist namelist_cfg ln_wave .true.
@@ -334,5 +349,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg nn_test_icebergs -1
     set_namelist namelist_cfg ln_wave .true.
@@ -402,5 +420,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_wave .true.
     set_namelist namelist_cfg ln_cdgw .true.
@@ -447,5 +468,8 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_wave .true.
     set_namelist namelist_cfg ln_cdgw .true.
@@ -502,5 +526,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
@@ -536,5 +563,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
@@ -585,5 +615,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
@@ -623,5 +656,8 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
@@ -672,5 +708,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -690,5 +728,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -726,5 +766,7 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -748,5 +790,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -783,5 +827,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -802,5 +848,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -840,5 +888,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -863,5 +913,7 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -901,5 +953,8 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_diaobs .true.
     set_namelist namelist_cfg ln_t3d .true.
@@ -950,5 +1005,8 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist namelist_cfg sn_cfctl%l_trcstat .true.
     set_namelist namelist_cfg ln_diaobs .true.
     set_namelist namelist_cfg ln_t3d .true.
@@ -1007,20 +1065,28 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .true.
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 2_namelist_cfg nn_it000 1
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .true.
+    set_namelist 2_namelist_cfg ln_ctl .false.
+    set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_LONG\"
     set_namelist 3_namelist_cfg nn_it000 1
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .true.
+    set_namelist 3_namelist_cfg ln_ctl .false.
+    set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1040,5 +1106,7 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -1047,5 +1115,7 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .true.
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
@@ -1054,5 +1124,7 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .true.
+    set_namelist 2_namelist_cfg ln_ctl .false.
+    set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 2_namelist_cfg ln_rstart .true.
     set_namelist 2_namelist_cfg nn_rstctl 2
@@ -1061,5 +1133,7 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .true.
+    set_namelist 3_namelist_cfg ln_ctl .false.
+    set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 3_namelist_cfg ln_rstart .true.
     set_namelist 3_namelist_cfg nn_rstctl 2
@@ -1111,5 +1185,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_48\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1117,5 +1193,7 @@
     set_namelist 1_namelist_cfg jpni 4
     set_namelist 1_namelist_cfg jpnj 8
-    set_namelist 1_namelist_cfg ln_ctl .true.
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_48\"
     set_namelist 2_namelist_cfg nn_it000 1
@@ -1123,5 +1201,7 @@
     set_namelist 2_namelist_cfg jpni 4
     set_namelist 2_namelist_cfg jpnj 8
-    set_namelist 2_namelist_cfg ln_ctl .true.
+    set_namelist 2_namelist_cfg ln_ctl .false.
+    set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_48\"
     set_namelist 3_namelist_cfg nn_it000 1
@@ -1129,5 +1209,7 @@
     set_namelist 3_namelist_cfg jpni 4
     set_namelist 3_namelist_cfg jpnj 8
-    set_namelist 3_namelist_cfg ln_ctl .true.
+    set_namelist 3_namelist_cfg ln_ctl .false.
+    set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1153,5 +1235,7 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 1_namelist_cfg cn_exp \"AGRIF_84\"
     set_namelist 1_namelist_cfg nn_it000 1
@@ -1159,5 +1243,7 @@
     set_namelist 1_namelist_cfg jpni 8
     set_namelist 1_namelist_cfg jpnj 4
-    set_namelist 1_namelist_cfg ln_ctl .true.
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 2_namelist_cfg cn_exp \"AGRIF_84\"
     set_namelist 2_namelist_cfg nn_it000 1
@@ -1165,5 +1251,7 @@
     set_namelist 2_namelist_cfg jpni 8
     set_namelist 2_namelist_cfg jpnj 4
-    set_namelist 2_namelist_cfg ln_ctl .true.
+    set_namelist 2_namelist_cfg ln_ctl .false.
+    set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist 3_namelist_cfg cn_exp \"AGRIF_84\"
     set_namelist 3_namelist_cfg nn_it000 1
@@ -1171,5 +1259,7 @@
     set_namelist 3_namelist_cfg jpni 8
     set_namelist 3_namelist_cfg jpnj 4
-    set_namelist 3_namelist_cfg ln_ctl .true.
+    set_namelist 3_namelist_cfg ln_ctl .false.
+    set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
+    set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1197,5 +1287,7 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
 
 #   Set the number of fine grids to zero:    
@@ -1231,5 +1323,7 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
 #
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1268,5 +1362,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     #set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1290,5 +1386,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000120_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"S12_LONG_00000120_restart_ice\"
@@ -1326,5 +1424,7 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1350,5 +1450,7 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .true.
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true