Index: NEMO/trunk/doc/rst/source/conf.py
===================================================================
--- NEMO/trunk/doc/rst/source/conf.py	(revision 10460)
+++ NEMO/trunk/doc/rst/source/conf.py	(revision 10590)
@@ -7,19 +7,7 @@
 # http://www.sphinx-doc.org/en/master/config
 
-# -- Path setup --------------------------------------------------------------
-
-# If extensions (or modules to document with autodoc) are in another directory,
-# add these directories to sys.path here. If the directory is relative to the
-# documentation root, use os.path.abspath to make it absolute, like shown here.
-#
-# import os
-# import sys
-# sys.path.insert(0, os.path.abspath('.'))
-
-
 # -- Project information -----------------------------------------------------
 
 project = 'NEMO'
-copyright = ''
 author = 'NEMO System Team'
 
@@ -27,12 +15,8 @@
 version = '4.0'
 # The full version, including alpha/beta/rc tags
-release = '4.0rc'
+release = '4.0.0'
 
 
 # -- General configuration ---------------------------------------------------
-
-# If your documentation needs a minimal Sphinx version, state it here.
-#
-# needs_sphinx = '1.0'
 
 # Add any Sphinx extension module names here, as strings. They can be
@@ -41,22 +25,6 @@
 extensions = ['sphinx.ext.extlinks', 'sphinxcontrib.bibtex']
 
-# Add any paths that contain templates here, relative to this directory.
-templates_path = ['_templates']
-
-# The suffix(es) of source filenames.
-# You can specify multiple suffix as a list of string:
-#
-# source_suffix = ['.rst', '.md']
-source_suffix = '.rst'
-
 # The master toctree document.
 master_doc = 'NEMO_guide'
-
-# The language for content autogenerated by Sphinx. Refer to documentation
-# for a list of supported languages.
-#
-# This is also used if you do content translation via gettext catalogs.
-# Usually you set "language" from the command line for these cases.
-language = None
 
 # List of patterns, relative to source directory, that match files and
@@ -74,5 +42,4 @@
 # a list of builtin themes.
 #
-#html_theme = 'alabaster'
 html_theme = 'sphinx_rtd_theme'
 
@@ -81,10 +48,5 @@
 # documentation.
 #
-html_theme_options = {
-#	Alabaster theme options
-#	'logo': 'NEMO_grey.png',
-#	'description': 'Community ocean model for multifarious space and time scales',
-#	'fixed_sidebar': True,
-}
+html_theme_options = {}
 
 # Add any paths that contain custom static files (such as style sheets) here,
@@ -93,20 +55,5 @@
 html_static_path = ['_static']
 
-# Custom sidebar templates, must be a dictionary that maps document names
-# to template names.
-#
-# The default sidebars (for documents that don't match any pattern) are
-# defined by theme itself.  Builtin themes are using these templates by
-# default: ``['localtoc.html', 'relations.html', 'sourcelink.html',
-# 'searchbox.html']``.
-#
-# html_sidebars = {}
-
 html_favicon = '_static/ORCA.ico'
-
-# -- Options for HTMLHelp output ---------------------------------------------
-
-# Output file base name for HTML help builder.
-htmlhelp_basename = 'NEMOdoc'
 
 
@@ -140,26 +87,4 @@
 
 
-# -- Options for manual page output ------------------------------------------
-
-# One entry per manual page. List of tuples
-# (source start file, name, description, authors, manual section).
-man_pages = [
-    (master_doc, 'nemo', 'NEMO Documentation',
-     [author], 1)
-]
-
-
-# -- Options for Texinfo output ----------------------------------------------
-
-# Grouping the document tree into Texinfo files. List of tuples
-# (source start file, target name, title, author,
-#  dir menu entry, description, category)
-texinfo_documents = [
-    (master_doc, 'NEMO', 'NEMO Documentation',
-     author, 'NEMO', 'One line description of project.',
-     'Miscellaneous'),
-]
-
-
 # -- Customisation -----------------------------------------------------------
 
@@ -170,10 +95,10 @@
 # Link aliases
 extlinks = {
-	'doi'    : ('http://doi.org/%s'                       , None),
-	'forge'  : ('http://forge.ipsl.jussieu.fr/nemo/%s'    , None),
-	'github' : ('http://github.com/%s'                    , None),
-	'xios'   : ('http://forge.ipsl.jussieu.fr/ioserver/%s', None),
-	'website': ('http://www.nemo-ocean.eu/%s'             , None),
-	'zenodo' : ('http://zenodo.org/publication/%s'        , None)
+	'doi'    : ('https://doi.org/%s'                       , None),
+	'forge'  : ('https://forge.ipsl.jussieu.fr/nemo/%s'    , None),
+	'github' : ('https://github.com/%s'                    , None),
+	'xios'   : ('https://forge.ipsl.jussieu.fr/ioserver/%s', None),
+	'website': ('https://www.nemo-ocean.eu/%s'             , None),
+	'zenodo' : ('https://zenodo.org/publication/%s'        , None)
 }
 