Index: /NEMO/trunk/INSTALL.rst
===================================================================
--- /NEMO/trunk/INSTALL.rst	(revision 10595)
+++ /NEMO/trunk/INSTALL.rst	(revision 10596)
@@ -13,5 +13,4 @@
   include: the AGRIF preprocessing program "conv"; the FCM build system and the 
   IOIPSL library for parts of the output.
-|
 - Other requirements that your system needs to provide include: a Perl 5 interpreter; a modern
   Fortran compiler (ifort, gfortran, pgfortran, ...) and (in most cases) a MPI library
@@ -24,5 +23,5 @@
   features to those defined within the MPI-2 standard (but will lose some performance
   benefits).
-|
+
 The following prerequisites may already be installed or be available from the
 official repositories of your Linux distribution. However access to all the
@@ -40,10 +39,9 @@
 netcdf-c-4.6.2 and netcdf-fortran-4.4.4, state the following requirements for netCDF-4 support:
 
-* HDF5 1.8.9 or later.
-* HDF5 1.10.1 or later.
-* zlib 1.2.5 or later (for netCDF-4 compression)
-* curl 7.18.0 or later (for DAP remote access client support)
-
-|
+- HDF5 1.8.9 or later.
+- HDF5 1.10.1 or later.
+- zlib 1.2.5 or later (for netCDF-4 compression)
+- curl 7.18.0 or later (for DAP remote access client support)
+
 `Important Note: When building netCDF-C library versions older than 4.4.1,
 use only HDF5 1.8.x versions. Combining older netCDF-C versions with newer
Index: /NEMO/trunk/README.rst
===================================================================
--- /NEMO/trunk/README.rst	(revision 10595)
+++ /NEMO/trunk/README.rst	(revision 10596)
@@ -60,8 +60,4 @@
 
 ..  _external biogeochemistry model : http://forge.ipsl.jussieu.fr/nemo/wiki/WorkingGroups/TOP/TOP-UserQuickGuide
-.. _NEMO : https://www.nemo-ocean.eu/
-.. _OASIS : https://portal.enes.org/oasis
-.. _XIOS : http://forge.ipsl.jussieu.fr/ioserver
-.. _AGRIF : https://www-ljk.imag.fr/MOISE/AGRIF/
 .. _working groups : https://forge.ipsl.jussieu.fr/nemo/wiki/WorkingGroups
 .. _reference documentation : https://www.nemo-ocean.eu/bibliography/documentation/
@@ -69,12 +65,2 @@
 .. _associated projects : https://www.nemo-ocean.eu/projects/
 .. _bibliography : https://www.nemo-ocean.eu/wp-content/plugins/wp-bibtexbrowser/bibtexbrowser.php?bib=nemo.bib
-.. _CMCC : https://www.cmcc.it/
-.. _CNRS : http://www.cnrs.fr/
-.. _MOI : https://www.mercator-ocean.fr
-.. _Met Office : https://www.metoffice.gov.uk/
-.. _NERC : https://nerc.ukri.org/
-.. _`NEMO manual` : http://zenodo.org/badge/DOI/10.5281/zenodo.1464816.svg
-.. _`NEMO guide` : http://zenodo.org/badge/DOI/10.5281/zenodo.1475325.svg
-.. _`SI3 manual` : http://zenodo.org/badge/DOI/10.5281/zenodo.1471689.svg
-.. _`TOP manual` : http://zenodo.org/badge/DOI/10.5281/zenodo.1471700.svg
-
Index: /NEMO/trunk/RELEASE_NOTES.rst
===================================================================
--- /NEMO/trunk/RELEASE_NOTES.rst	(revision 10595)
+++ /NEMO/trunk/RELEASE_NOTES.rst	(revision 10596)
@@ -12,6 +12,5 @@
   - Lateral melting
   - Melt ponds: constant or :doi:`10.1175/JCLI-D-11-00078.1 <Holland et al. 2012>` formulation (and soon topographic melt ponds)
-  - Ice-atm. drags from :doi:`10.1029/2012JD017630 <Lupkes et al. 2012>` (depending on ice concentration) or
-    :doi:`10.1002/2014JD022418 <Lupkes et al. 2015>` (depending on sea ice concentration and atm. stability)
+  - Ice-atm. drags from :doi:`10.1029/2012JD017630 <Lupkes et al. 2012>` (depending on ice concentration) or :doi:`10.1002/2014JD022418 <Lupkes et al. 2015>` (depending on sea ice concentration and atm. stability)
   - Landfast ice (:doi:`10.1002/2016JC012006 <Lemieux et al. 2016>`)
 
@@ -64,19 +63,10 @@
 The first test cases available for now are:
 - ``CANAL``: east-west periodic canal of variable size with several initial states and associated geostrophic currents (zonal jets or vortex)
-- ``ICE_AGRIF``: east-west + north-south periodic channel.
-  The common configuration includes an AGRIF zoom (1:3) in the middle of the basin to test how an ice patch is advected through it but one can also test the advection schemes (Prather and Ultimate-Macho) by removing the key_agrif in the cpp keys.
-- ``ISOMIP``: simple box configuration with an ice shelf with simple geometry on top.
-  The purpose of this test case is to evaluate the impact of various schemes and new development with iceshelf cavities.
-  The exact original setup is described ​here.
-- ``LOCK-EXCHANGE``:classical fluid dynamics experiment that has been adapted by Haidvogel and Beckmann (1999) for testing advection schemes in ocean circulation models.
-  It has been used by several authors including Burchard and Bolding (2002) and Ilıcak et al. (2012).
-  The LOCK EXCHANGE experiment can in particular illustrate the impact of different choices of numerical schemes and/or subgrid closures on spurious interior mixing
-- ``OVERFLOW``: illustrates the impact of different choices of numerical schemes and/or subgrid closures on spurious interior mixing close to bottom topography.
-  It is adapted from the non-rotating overflow configuration described in Haidvogel and Beckmann (1999) and further used by Ilıcak et al. (2012)
-- ``VORTEX``: illustrates the propagation of an anticyclonic eddy over a Beta plan and flat bottom.
-  It is implemented here with an online refined subdomain (thanks to AGRIF library) out of which the vortex propagates.
-  It serves as a benchmark to diagnose nesting errors as in Debreu et al. (2012), Penven et al. (2006) and Spall and Holland (1991)
-- ``WAD``: a set of simple closed basin geometries for testing the Wetting and drying capabilities.
-  Examples range from a closed channel with EW linear bottom slope to a parabolic EW channel with a Gaussian ridge. 
+- ``ICE_AGRIF``: east-west + north-south periodic channel. The common configuration includes an AGRIF zoom (1:3) in the middle of the basin to test how an ice patch is advected through it but one can also test the advection schemes (Prather and Ultimate-Macho) by removing the key_agrif in the cpp keys.
+- ``ISOMIP``: simple box configuration with an ice shelf with simple geometry on top. The purpose of this test case is to evaluate the impact of various schemes and new development with iceshelf cavities. The exact original setup is described ​here.
+- ``LOCK-EXCHANGE``:classical fluid dynamics experiment that has been adapted by Haidvogel and Beckmann (1999) for testing advection schemes in ocean circulation models. It has been used by several authors including Burchard and Bolding (2002) and Ilıcak et al. (2012). The LOCK EXCHANGE experiment can in particular illustrate the impact of different choices of numerical schemes and/or subgrid closures on spurious interior mixing
+- ``OVERFLOW``: illustrates the impact of different choices of numerical schemes and/or subgrid closures on spurious interior mixing close to bottom topography. It is adapted from the non-rotating overflow configuration described in Haidvogel and Beckmann (1999) and further used by Ilıcak et al. (2012)
+- ``VORTEX``: illustrates the propagation of an anticyclonic eddy over a Beta plan and flat bottom. It is implemented here with an online refined subdomain (thanks to AGRIF library) out of which the vortex propagates. It serves as a benchmark to diagnose nesting errors as in Debreu et al. (2012), Penven et al. (2006) and Spall and Holland (1991)
+- ``WAD``: a set of simple closed basin geometries for testing the Wetting and drying capabilities. Examples range from a closed channel with EW linear bottom slope to a parabolic EW channel with a Gaussian ridge. 
 
 New Reference configurations
@@ -97,10 +87,10 @@
 - The passive tracers transport component was redesigned toward a modular structure and users can enable each module directly through logical flags in namelist_top (no more fortran macros!).
 - :doc:`tracers <TOP on-line user documentation>`
-- TOP currently accounts for the following 5 modules:
-  CFC contains inorganic carbon tracers (CFC11/CFC12/SF6),
-  MY_TRC is a template for new modules (or external couplings),
-  AGE deals with water age tracking,
-  C14 as a radiocarbon passive tracer, and
-  the companion ecosystem model PISCES.
+- ``TOP`` currently accounts for the following 5 modules:
+  ``CFC`` contains inorganic carbon tracers (CFC11/CFC12/SF6),
+  ``MY_TRC`` is a template for new modules (or external couplings),
+  ``AGE`` deals with water age tracking,
+  ``C14`` as a radiocarbon passive tracer, and
+  the companion ecosystem model ``PISCES``.
 - A generalized infrastructure was developed to handle the prescription of either surface, coastal, or open boundaries conditions for each passive tracer.
 - A new configuration, named ORCA2_OFF_TRC, was created to provide a benchmark simulation environment to deal with inert carbon tracers dynamics by exploiting the offline coupling with NEMO.
Index: /NEMO/trunk/cfgs/README.rst
===================================================================
--- /NEMO/trunk/cfgs/README.rst	(revision 10595)
+++ /NEMO/trunk/cfgs/README.rst	(revision 10596)
@@ -80,5 +80,5 @@
 --------
 
-GYRE_BFM shares the same physical setup of GYRE_PISCES_, but NEMO is coupled with the `BFM <http://www.bfm-community.eu/>`_ biogeochemical model as described in :trac:`source:/NEMO/trunk/cfgs/GYRE_BFM/README`.
+GYRE_BFM shares the same physical setup of GYRE_PISCES_, but NEMO is coupled with the `BFM <http://www.bfm-community.eu/>`_ biogeochemical model as described in :forge:`browser/NEMO/trunk/cfgs/GYRE_BFM/README`.
 
 
@@ -100,5 +100,5 @@
   /
 
-Note that, the default grid size is 30x20 grid points (with ``nn_GYRE = 1``) and vertical levels are set by ``jpkglo``. The specific code changes can be inspected at :trac:`source:/NEMO/trunk/src/OCE/USR` 
+Note that, the default grid size is 30x20 grid points (with ``nn_GYRE = 1``) and vertical levels are set by ``jpkglo``. The specific code changes can be inspected at :forge:`browser/NEMO/trunk/src/OCE/USR` 
 
 **Running GYRE as a benchmark** :  this simple configuration can be used as a benchmark since it is easy to increase resolution, with the drawback of getting results that have a very limited physical meaning.
@@ -217,5 +217,5 @@
 Note that, this configuration default uses linear free surface (``ln_linssh = .true.``) assuming that model mesh is not varying in time and it includes the bottom boundary layer parameterization (``ln_trabbl = .true.``) that requires the provision of bbl coefficients through ``sn_ubl`` and ``sn_vbl`` fields.
 
-It is also possible to activate PISCES model (see ORCA2_OFF_PISCES_) or a user defined set of tracers and source-sink terms with ``ln_my_trc = .true.`` (and adaptation of :trac:`source:/NEMO/trunk/src/TOP/MY_TRC` routines).
+It is also possible to activate PISCES model (see ORCA2_OFF_PISCES_) or a user defined set of tracers and source-sink terms with ``ln_my_trc = .true.`` (and adaptation of :forge:`browser/NEMO/trunk/src/TOP/MY_TRC` routines).
 
 In addition, the offline module (OFF) allows for the provision of further fields:
@@ -235,5 +235,5 @@
 
 
-More details can be found by inspecting the offline data manager at :trac:`source:/NEMO/trunk/src/OFF/dtadyn.F90`
+More details can be found by inspecting the offline data manager at :forge:`browser/NEMO/trunk/src/OFF/dtadyn.F90`
 
 
Index: /NEMO/trunk/doc/rst/source/NEMO_guide.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/NEMO_guide.rst	(revision 10595)
+++ /NEMO/trunk/doc/rst/source/NEMO_guide.rst	(revision 10596)
@@ -43,5 +43,5 @@
 	zooms
 	coupling
-	assimilation
+	data_assimilation
 	tracers
 
Index: /NEMO/trunk/doc/rst/source/global.rst
===================================================================
--- /NEMO/trunk/doc/rst/source/global.rst	(revision 10595)
+++ /NEMO/trunk/doc/rst/source/global.rst	(revision 10596)
@@ -16,23 +16,23 @@
 .. Institutes
 
-.. _CMCC:           http://www.cmcc.it 
-.. _CNRS:           http://www.cnrs.fr
-.. _Mercator Ocean: http://www.mercator-ocean.fr
-.. _Met Office:     http://www.metoffice.gov.uk
-.. _MOI:            http://www.mercator-ocean.fr
-.. _NERC:           http://nerc.ukri.org
+.. _CMCC:           https://www.cmcc.it 
+.. _CNRS:           https://www.cnrs.fr
+.. _Mercator Ocean: https://www.mercator-ocean.fr
+.. _Met Office:     https://www.metoffice.gov.uk
+.. _MOI:            https://www.mercator-ocean.fr
+.. _NERC:           https://nerc.ukri.org
 
 .. Models / Softwares
 
-.. _AGRIF: http://agrif.imag.fr
-.. _OASIS: http://verc.enes.org/oasis
-.. _XIOS:  http://forge.ipsl.jussieu.fr/ioserver
+.. _AGRIF: https://agrif.imag.fr
+.. _OASIS: https://portal.enes.org/oasis
+.. _XIOS:  https://forge.ipsl.jussieu.fr/ioserver
 
 .. NEMO
 
-.. _NEMO:          http://www.nemo-ocean.eu
-.. _NEMO strategy: http://doi.org/10.5281/zenodo.1471663
-.. _NEMO guide:    http://doi.org/10.5281/zenodo.1475325
-.. _NEMO manual:   http://doi.org/10.5281/zenodo.1464816
-.. _SI3 manual:    http://doi.org/10.5281/zenodo.1471689
-.. _TOP manual:    http://doi.org/10.5281/zenodo.1471700
+.. _NEMO:          https://www.nemo-ocean.eu
+.. _NEMO strategy: https://doi.org/10.5281/zenodo.1471663
+.. _NEMO guide:    https://doi.org/10.5281/zenodo.1475325
+.. _NEMO manual:   https://doi.org/10.5281/zenodo.1464816
+.. _SI3 manual:    https://doi.org/10.5281/zenodo.1471689
+.. _TOP manual:    https://doi.org/10.5281/zenodo.1471700