Index: NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 10601)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/chap_LBC.tex	(revision 10614)
@@ -711,25 +711,47 @@
 %-----------------------------------------------------------------------------------------------
 
-Options are defined through the \ngn{nambdy\_tide} namelist variables 
-for reading in the complex harmonic amplitudes of elevation (ssh) and barotropic velocity (u,v). 
-
-The tidal harmonic data can be specified in 2 ways.\\
-First it can be specified on a 2D grid covering the entire model domain in which case the user should set \np{ln\_bdytide\_2ddta }\forcode{ = .true.}. 
-In this case the model assumes that the real and imaginary parts are split.
-The variable naming convention is \textit{constituent\_name\_z1} for real SSH and \textit{constituent\_name\_z2} for imaginary SSH. 
-The available \textit{constituent\_names} in NEMO are defined in \rou{SBC/tide.h90}
-Likewise for $u$ and $v$ data. File name is assumed to be \np{filtide}\ifile{\_grid\_T} for the elevation component 
-and \np{filtide}\ifile{\_grid\_U} for the u barotropic velocity and \np{filtide}\ifile{\_grid\_V} for the v barotropic velocity.\\ 
-Otherwise, the tidal data must be specified along bdy segments. 
-In this case each constituent has its own file name and the real part is assumed to be z1 and the imaginary part z2 for SSH. 
-Similarly u1, u2 and v1, v2 for velocities. Input file name convention (for elevation of the M2 tidal component) is \np{filtide}\ifile{M2\_grid\_T}. 
-Similar logic applies for other components and u and v barotropic velocities.\\
-
-The data may also be in complex conjugate form. If that is the case then the user should set \np{ln\_bdytide\_conj}\forcode{ = .true. } 
-so the model correctly interprets the data. The default case assumes it is not in complex conjugate form. 
-
-Note the barotropic velocities are assumed to be on the model native grid and must be rotated as appropriate from the source grid upon which they are extracted from. 
-To do so convert to U, V amplitude and phase into tidal ellipses. Add the grid rotation to ellipse inclination and convert back. Be careful about conventions 
-of direction of rotation, e.g. anticlockwise or clockwise. 
+Tidal forcing at open boundaries requires the activation of surface
+tides (i.e., in \ngn{nam\_tide}, \np{ln\_tide} needs to be set to
+\forcode{.true.} and the required constituents need to be activated by
+including their names in the \np{cname} array; see
+\autoref{sec:SBC_tide}). Specific options related to the reading in of
+the complex harmonic amplitudes of elevation (SSH) and barotropic
+velocity (u,v) at open boundaries are defined through the
+\ngn{nambdy\_tide} namelist parameters.\\
+
+The tidal harmonic data at open boundaries can be specified in two
+different ways, either on a two-dimensional grid covering the entire
+model domain or along open boundary segments; these two variants can
+be selected by setting \np{ln\_bdytide\_2ddta } to \forcode{.true.} or
+\forcode{.false.}, respectively. In either case, the real and
+imaginary parts of SSH and the two barotropic velocity components for
+each activated tidal constituent \textit{tcname} have to be provided
+separately: when two-dimensional data is used, variables
+\textit{tcname\_z1} and \textit{tcname\_z2} for real and imaginary SSH,
+respectively, are expected in input file \np{filtide} with suffix
+\ifile{\_grid\_T}, variables \textit{tcname\_u1} and
+\textit{tcname\_u2} for real and imaginary u, respectively, are
+expected in input file \np{filtide} with suffix \ifile{\_grid\_U}, and
+\textit{tcname\_v1} and \textit{tcname\_v2} for real and imaginary v,
+respectively, are expected in input file \np{filtide} with suffix
+\ifile{\_grid\_V}; when data along open boundary segments is used,
+variables \textit{z1} and \textit{z2} (real and imaginary part of SSH)
+are expected to be available from file \np{filtide} with suffix
+\ifile{tcname\_grid\_T}, variables \textit{u1} and \textit{u2} (real
+and imaginary part of u) are expected to be available from file
+\np{filtide} with suffix \ifile{tcname\_grid\_U}, and variables
+\textit{v1} and \textit{v2} (real and imaginary part of v) are
+expected to be available from file \np{filtide} with suffix
+\ifile{tcname\_grid\_V}. If \np{ln\_bdytide\_conj} is set to
+\forcode{.true.}, the data is expected to be in complex conjugate
+form.
+
+Note that the barotropic velocity components are assumed to be defined
+on the native model grid and should be rotated accordingly when they
+are converted from their definition on a different source grid. To do
+so, the u, v amplitudes and phases can be converted into tidal
+ellipses, the grid rotation added to the ellipse inclination, and then
+converted back (care should be taken regarding conventions of the
+direction of rotation). %, e.g. anticlockwise or clockwise.
 
 \biblio
Index: NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 10601)
+++ NEMO/trunk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 10614)
@@ -815,5 +815,5 @@
 
 The tidal forcing, generated by the gravity forces of the Earth-Moon and Earth-Sun sytems,
-is activated if \np{ln\_tide} and \np{ln\_tide\_pot} are both set to \np{.true.} in \ngn{nam\_tide}.
+is activated if \np{ln\_tide} and \np{ln\_tide\_pot} are both set to \forcode{.true.} in \ngn{nam\_tide}.
 This translates as an additional barotropic force in the momentum equations \ref{eq:PE_dyn} such that:
 \[
@@ -822,37 +822,35 @@
   +g\nabla (\Pi_{eq} + \Pi_{sal})
 \]
-where $\Pi_{eq}$ stands for the equilibrium tidal forcing and $\Pi_{sal}$ a self-attraction and loading term (SAL). 
+where $\Pi_{eq}$ stands for the equilibrium tidal forcing and
+$\Pi_{sal}$ is a self-attraction and loading term (SAL).
  
-The equilibrium tidal forcing is expressed as a sum over the chosen constituents $l$ in \ngn{nam\_tide}.
-The constituents are defined such that \np{clname(1) = 'M2', clname(2)='S2', etc...}.
-For the three types of tidal frequencies it reads: \\
-Long period tides :
-\[
-  \Pi_{eq}(l)=A_{l}(1+k-h)(\frac{1}{2}-\frac{3}{2}sin^{2}\phi)cos(\omega_{l}t+V_{l})
-\]
-diurnal tides :
-\[
-  \Pi_{eq}(l)=A_{l}(1+k-h)(sin 2\phi)cos(\omega_{l}t+\lambda+V_{l})
-\]
-Semi-diurnal tides:
-\[
-  \Pi_{eq}(l)=A_{l}(1+k-h)(cos^{2}\phi)cos(\omega_{l}t+2\lambda+V_{l})
-\]
-Here $A_{l}$ is the amplitude, $\omega_{l}$ is the frequency, $\phi$ the latitude, $\lambda$ the longitude,
-$V_{0l}$ a phase shift with respect to Greenwich meridian and $t$ the time.
-The Love number factor $(1+k-h)$ is here taken as a constant (0.7).
-
-The SAL term should in principle be computed online as it depends on the model tidal prediction itself
-(see \citet{Arbic2004} for a discussion about the practical implementation of this term).
-Nevertheless, the complex calculations involved would make this computationally too expensive.
-Here, practical solutions are whether to read complex estimates $\Pi_{sal}(l)$ from an external model
-(\np{ln\_read\_load=.true.}) or use a ``scalar approximation'' (\np{ln\_scal\_load=.true.}).
-In the latter case, it reads:\\
-\[
-  \Pi_{sal} = \beta \eta
-\]
-where $\beta$ (\np{rn\_scal\_load}, $\approx0.09$) is a spatially constant scalar,
-often chosen to minimize tidal prediction errors.
-Setting both \np{ln\_read\_load} and \np{ln\_scal\_load} to false removes the SAL contribution.
+The equilibrium tidal forcing is expressed as a sum over a subset of
+constituents chosen from the set of available tidal constituents
+defined in file \rou{SBC/tide.h90} (this comprises the tidal
+constituents \textit{M2, N2, 2N2, S2, K2, K1, O1, Q1, P1, M4, Mf, Mm,
+  Msqm, Mtm, S1, MU2, NU2, L2}, and \textit{T2}). Individual
+constituents are selected by including their names in the array
+\np{clname} in \ngn{nam\_tide} (e.g., \np{clname(1) = 'M2',
+  clname(2)='S2'} to select solely the tidal consituents \textit{M2}
+and \textit{S2}). Optionally, when \np{ln\_tide\_ramp} is set to
+\forcode{.true.}, the equilibrium tidal forcing can be ramped up
+linearly from zero during the initial \np{rdttideramp} days of the
+model run.
+
+The SAL term should in principle be computed online as it depends on
+the model tidal prediction itself (see \citet{Arbic2004} for a
+discussion about the practical implementation of this term).
+Nevertheless, the complex calculations involved would make this
+computationally too expensive.  Here, two options are available:
+$\Pi_{sal}$ generated by an external model can be read in
+(\np{ln\_read\_load=.true.}), or a ``scalar approximation'' can be
+used (\np{ln\_scal\_load=.true.}). In the latter case
+\[
+  \Pi_{sal} = \beta \eta,
+\]
+where $\beta$ (\np{rn\_scal\_load} with a default value of 0.094) is a
+spatially constant scalar, often chosen to minimize tidal prediction
+errors. Setting both \np{ln\_read\_load} and \np{ln\_scal\_load} to
+\forcode{.false.} removes the SAL contribution.
 
 % ================================================================